$:.unshift File.expand_path("../lib", __FILE__)
require "libsqreen/version"

Gem::Specification.new do |s|
  s.name        = "libsqreen"
  s.version     = LibSqreen::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ["Sqreen"]
  s.email       = ["contact@sqreen.com"]
  s.homepage    = "https://www.sqreen.com"
  s.summary     = %q{Make the Sqreen agent faster}
  s.description = %q{Distributes fast compiled functions for the Sqreen agent}
  s.license     = "Sqreen"

  s.files  = `git ls-files`.split("\n")
    .reject { |f| f =~ /^release\// }
    .reject { |f| f =~ /\.gitkeep$/ }
    .reject { |f| f =~ /^rakefile_bins\.rb$/ }
    .reject { |f| f =~ /^valgrind\.supp$/ }
    .reject { |f| f =~ /^release\// }
    .reject { |f| f =~ /^vendor\// }
    .reject { |f| f =~ /^.git\// }
    .reject { |f| f =~ /^docker\// }
    .reject { |f| f =~ /^ruby_pkgs\// }
    .reject { |f| f =~ /^azure-/ }
    .reject { |f| f =~ /^\.git/ }
    .reject { |f| %w{Makefile Rakefile s3get}.include?(f) }
    .reject { |f| f =~ /^test\// } + Dir.glob('vendor/lib*/**/*')

  s.require_paths = ["lib"]
  s.require_paths += ["lib/ext"]
  s.extensions = ["ext/libsqreen_extension/extconf.rb"]

  s.add_development_dependency 'rake', '~> 11.0'
  s.add_development_dependency 'rake-compiler', '~> 0'
  s.add_development_dependency 'minitest', '5.11.3'
  s.add_development_dependency 'minitest-junit', '~> 0.2.0'
end

